<?php
//
// Chatroll phpBB Live Chat Mod
// Version: 1.1
// Author: chatroll.com
// Date: Feb-10-2010
//
//
require_once($phpbb_root_path . 'includes/chatroll.php');

/***
 * Render Chatroll HTML from Shortcode
 */
function chatroll_render($shortcode) {
    $chatroll = new PhpBBChatroll();
    return $chatroll->renderChatrollHtmlFromShortcode($shortcode);
}


class PhpBBChatroll extends Chatroll {
    /**
     * Override Chatroll::appendPlatformDefaultAttr
     */
    public function appendPlatformDefaultAttr($attr) {
        global $user, $auth, $config;
        $attr['platform'] = "phpbb";

        $attr['uid'] = $user->data['user_id'];
        if ($attr['uid'] == ANONYMOUS) {
            $attr['uid'] = '';
        } else {
            $attr['uname'] = $user->data['username'];
            $attr['ismod'] = $auth->acl_get('m_') ? 1 : 0;	// Has global moderator permission?

            // Retrieve profile page and avatar for registered users
            $attr['upic'] = $user->data['user_avatar'];
            // Assume lpicture is linked off-site if it contain http:// URL prefix
            if (!empty($attr['upic']) && strncmp($attr['upic'], 'http://', 7) != 0) {
            // Append avatar URL prefix
                $attr['upic'] = generate_board_url() . '/download/file.php?avatar=' .  $attr['upic'];
            }

            // Note: Modify this profile ULR if phpBB has been modified (e.g. w/ other URL re-write mods)
            $attr['ulink'] = generate_board_url() . '/memberlist.php?mode=viewprofile&u=' . $attr['uid'];
        }
        
        return $attr;
    }
}
?>
